Package com.salesforce.datacloud.jdbc.interceptor

## Interface HeaderMutatingClientInterceptor

All Superinterfaces:
  `io.grpc.ClientInterceptor`

All Known Implementing Classes:
  `AuthorizationHeaderInterceptor`, `DataspaceHeaderInterceptor`, `HyperDefaultsHeaderInterceptor`, `QueryIdHeaderInterceptor`, `TracingHeadersInterceptor`, `UserAgentHeaderInterceptor`

    public interface HeaderMutatingClientInterceptor
    extends io.grpc.ClientInterceptor

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default <Req,​Res> io.grpc.ClientCall<Req,​Res>` `interceptCall​(io.grpc.MethodDescriptor<Req,​Res> method, io.grpc.CallOptions callOptions, io.grpc.Channel next)`
`void` `mutate​(io.grpc.Metadata headers)`

### Method Detail

#### mutate

    void mutate​(io.grpc.Metadata headers)

#### interceptCall

    default <Req,​Res> io.grpc.ClientCall<Req,​Res> interceptCall​(io.grpc.MethodDescriptor<Req,​Res> method,
                                                                            io.grpc.CallOptions callOptions,
                                                                            io.grpc.Channel next)

Specified by:
  `interceptCall` in interface `io.grpc.ClientInterceptor`